
/*
 *  AWS sample certificates
 *
 *  Copyright (C) 2006-2015, ARM Limited, All Rights Reserved
 *  SPDX-License-Identifier: Apache-2.0
 *
 *  Licensed under the Apache License, Version 2.0 (the "License"); you may
 *  not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *  http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 *  WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 *  This file is part of mbed TLS (https://tls.mbed.org)
 */

const char aws_iot_certificate[] = \
    "-----BEGIN CERTIFICATE-----\n"
    "MIIDWTCCAkGgAwIBAgIUHkXXxEbcTkd/uCFVlP1N6bIoBNMwDQYJKoZIhvcNAQEL\n"
    "BQAwTTFLMEkGA1UECwxCQW1hem9uIFdlYiBTZXJ2aWNlcyBPPUFtYXpvbi5jb20g\n"
    "SW5jLiBMPVNlYXR0bGUgU1Q9V2FzaGluZ3RvbiBDPVVTMB4XDTE4MDUxNjIxMzI1\n"
    "OVoXDTQ5MTIzMTIzNTk1OVowHjEcMBoGA1UEAwwTQVdTIElvVCBDZXJ0aWZpY2F0\n"
    "ZTCCASIwDQYJKoZIhvcNAQEBBQADggEPADCCAQoCggEBAK9dcRj6Aap6+9Q1vWIr\n"
    "09xkjlsY+wI9gaDat3e0o8zbnJZKb15yrxCfIltrM3argbRm6YCjgnhbiv+a6Km0\n"
    "Lka+jI0++MA/NilQunqajRW65YxSq2g2vrqC8rn7XQorZWpw7gtVf3q+6KcfTA5R\n"
    "0vMSyBIxOTXmqFXDB4qoVwWyBWTsSPQFBfOsDV8/ymVcSVS6XxROAMS5kYYnbRKg\n"
    "dvdFZBK+bEH3162Dk419ZDbDjK7/kIsHVNzU/Pr8wKvvSQBxc72kGFcdgPy0r79Y\n"
    "y0Qp1scMODQAO/qanLZJ52RSSjOn9Pkl+NCakh7r2RsHQ8SFkMNPDrRprwmM4JnD\n"
    "BRkCAwEAAaNgMF4wHwYDVR0jBBgwFoAUn4hkgP+e66ZVT50BR4yohDMdTxMwHQYD\n"
    "VR0OBBYEFHAJhc5z5amPzSUO4jzg30z8KRiYMAwGA1UdEwEB/wQCMAAwDgYDVR0P\n"
    "AQH/BAQDAgeAMA0GCSqGSIb3DQEBCwUAA4IBAQCZ9WsL1+nv4maXuuq+IrhmF6lr\n"
    "0Vza0s9a7/V5Z3Kr2Hvk0yuQWTLoEtc1PRDY/kIf2RYwOgkX+K41Z/BvC9IxRphh\n"
    "hBIgjRzJRQe9eN/QKzDFO7D8wzxL8UfwFHgf+oTfsPf5T59C00A8WDii78XGDQfx\n"
    "Bvcr6jX0GM1LZhdg0PkzQnpnl7N/zdwVTnOvOe3cYmrswjCdKHEe34HVnfeqr1v7\n"
    "sTQF8h0AF2gube5szEL0Y6Y3Py9YoLxUHrizBRUXuvOUaS6i9OKFCCdJcSOK41As\n"
    "Ql8zkG4wL3itYD6dC+p0bJGVYOwKArwNsR3G8hO+PhlCTsGf2pmiGpvXwTQc\n"
    "-----END CERTIFICATE-----\n";

const char aws_iot_private_key[] = \
    "-----BEGIN RSA PRIVATE KEY-----\n"
    "MIIEowIBAAKCAQEAr11xGPoBqnr71DW9YivT3GSOWxj7Aj2BoNq3d7SjzNuclkpv\n"
    "XnKvEJ8iW2szdquBtGbpgKOCeFuK/5roqbQuRr6MjT74wD82KVC6epqNFbrljFKr\n"
    "aDa+uoLyuftdCitlanDuC1V/er7opx9MDlHS8xLIEjE5NeaoVcMHiqhXBbIFZOxI\n"
    "9AUF86wNXz/KZVxJVLpfFE4AxLmRhidtEqB290VkEr5sQffXrYOTjX1kNsOMrv+Q\n"
    "iwdU3NT8+vzAq+9JAHFzvaQYVx2A/LSvv1jLRCnWxww4NAA7+pqctknnZFJKM6f0\n"
    "+SX40JqSHuvZGwdDxIWQw08OtGmvCYzgmcMFGQIDAQABAoIBACqr1xhXxU4BbQO/\n"
    "K90Wgw/u3ADovDNYWhGVBu224+C2U4zygdT+nQCzaD3MgRJQO1h1bj4iC15UECeQ\n"
    "PysEL/qA5Vx9RTQqbXhyL14j+06dUrvpZdIO+CwULxH4SzRtSNk0r4fMfx+UErKP\n"
    "2Abn/Cevm0Vp+tzVyoJL2arwuXQl7LjJQxTmbjuRtnzEpir7pzJn7w8GOTHTr4bA\n"
    "lT9+sfe9bX9agSKGTKKpI43KD3Tec+7CM6ZKcIZHRhHXO6ChUNlH7Kco9gHxbz95\n"
    "fu9jeztTkmoEQ66WymTZC7ZG1jPqOBHIiyUmgGkP4qyEIiu3dimf5tXzaTcumFH7\n"
    "knhvMIECgYEA6T/4I+tnQYUr9XADzlvA1OfFgQ2w8kT/zBv6n/JTUNa3aXzp3iYm\n"
    "pa7zLfFjuj66zAmBTs8HPqFErBGZzgjGzMBJhDT/zkW4a+HrcKj9tE5rAj76oYpV\n"
    "hINT1KiA+T6Lgo3kve/LFMpOjz9N1evifs9lg68znC0PKiuT7I+MvykCgYEAwHgk\n"
    "Od46SJ0OMf9E7VrSuRWHYI4Ms/VNEcXOBfgfBU63mdYXVBeOXQR9xZOpl7/p6uUg\n"
    "NfGFK68qeBh7TxsXo0xkZJuz/JSvynV1ZOT4NU20NQikzQ2jceGW8SktyOBGiAM/\n"
    "FRrkCkEUMtV9o2GWr0SvB4KtcsarnJF/Mt82BHECgYEAsbqFiFEp95nSugzlSYtO\n"
    "bqxAKSrWhnQe+VbkbJXH+FPzo5SD2zr0vdCGCZ7iX5rG2QvxFKzZl1ZorjgnGwBD\n"
    "AucN3YhI1tL3SHT34ntR/d622RpF/Wsb6IHtEaBnzgNjaFJYVoXuF2Rj4fDZjURU\n"
    "7E15y5JnX/xRjs9vwpRLKakCgYBF8iNwKFPUGceT4eohvDUCcFF/hIAXUllM0S77\n"
    "Ol3DpwTQUl6t/9WL9lri17P1YxhWdihLkldMNd9gP71oVTc08Ek3yuIRM9Pi5ubf\n"
    "4NpXPML11wtVPdSdSVd6kvWBoAfh3BQrzlb7ZwU5KB79pjSFw5c8SoBQSuUJBFNO\n"
    "oJHX8QKBgCptXd++mR2Co37A7wAAB881AnZJbc+kGnEg1zszIG4zflINpQ+v0suK\n"
    "+CceI00VPr1oH8VelVKxRHYOd7fIndT0lCEee6HgvEyQ7XzSBaNdHBLUHQub2eF2\n"
    "k9eojnec1sXGr7wBcASvC4d9JtsO9Z9Co37ZqPCi263qlvWlhwfY\n"
    "-----END RSA PRIVATE KEY-----\n";

const char aws_iot_rootCA[] = \
    "-----BEGIN CERTIFICATE-----\n"
    "MIIE0zCCA7ugAwIBAgIQGNrRniZ96LtKIVjNzGs7SjANBgkqhkiG9w0BAQUFADCB\n"
    "yjELMAkGA1UEBhMCVVMxFzAVBgNVBAoTDlZlcmlTaWduLCBJbmMuMR8wHQYDVQQL\n"
    "ExZWZXJpU2lnbiBUcnVzdCBOZXR3b3JrMTowOAYDVQQLEzEoYykgMjAwNiBWZXJp\n"
    "U2lnbiwgSW5jLiAtIEZvciBhdXRob3JpemVkIHVzZSBvbmx5MUUwQwYDVQQDEzxW\n"
    "ZXJpU2lnbiBDbGFzcyAzIFB1YmxpYyBQcmltYXJ5IENlcnRpZmljYXRpb24gQXV0\n"
    "aG9yaXR5IC0gRzUwHhcNMDYxMTA4MDAwMDAwWhcNMzYwNzE2MjM1OTU5WjCByjEL\n"
    "MAkGA1UEBhMCVVMxFzAVBgNVBAoTDlZlcmlTaWduLCBJbmMuMR8wHQYDVQQLExZW\n"
    "ZXJpU2lnbiBUcnVzdCBOZXR3b3JrMTowOAYDVQQLEzEoYykgMjAwNiBWZXJpU2ln\n"
    "biwgSW5jLiAtIEZvciBhdXRob3JpemVkIHVzZSBvbmx5MUUwQwYDVQQDEzxWZXJp\n"
    "U2lnbiBDbGFzcyAzIFB1YmxpYyBQcmltYXJ5IENlcnRpZmljYXRpb24gQXV0aG9y\n"
    "aXR5IC0gRzUwggEiMA0GCSqGSIb3DQEBAQUAA4IBDwAwggEKAoIBAQCvJAgIKXo1\n"
    "nmAMqudLO07cfLw8RRy7K+D+KQL5VwijZIUVJ/XxrcgxiV0i6CqqpkKzj/i5Vbex\n"
    "t0uz/o9+B1fs70PbZmIVYc9gDaTY3vjgw2IIPVQT60nKWVSFJuUrjxuf6/WhkcIz\n"
    "SdhDY2pSS9KP6HBRTdGJaXvHcPaz3BJ023tdS1bTlr8Vd6Gw9KIl8q8ckmcY5fQG\n"
    "BO+QueQA5N06tRn/Arr0PO7gi+s3i+z016zy9vA9r911kTMZHRxAy3QkGSGT2RT+\n"
    "rCpSx4/VBEnkjWNHiDxpg8v+R70rfk/Fla4OndTRQ8Bnc+MUCH7lP59zuDMKz10/\n"
    "NIeWiu5T6CUVAgMBAAGjgbIwga8wDwYDVR0TAQH/BAUwAwEB/zAOBgNVHQ8BAf8E\n"
    "BAMCAQYwbQYIKwYBBQUHAQwEYTBfoV2gWzBZMFcwVRYJaW1hZ2UvZ2lmMCEwHzAH\n"
    "BgUrDgMCGgQUj+XTGoasjY5rw8+AatRIGCx7GS4wJRYjaHR0cDovL2xvZ28udmVy\n"
    "aXNpZ24uY29tL3ZzbG9nby5naWYwHQYDVR0OBBYEFH/TZafC3ey78DAJ80M5+gKv\n"
    "MzEzMA0GCSqGSIb3DQEBBQUAA4IBAQCTJEowX2LP2BqYLz3q3JktvXf2pXkiOOzE\n"
    "p6B4Eq1iDkVwZMXnl2YtmAl+X6/WzChl8gGqCBpH3vn5fJJaCGkgDdk+bW48DW7Y\n"
    "5gaRQBi5+MHt39tBquCWIMnNZBU4gcmU7qKEKQsTb47bDN0lAtukixlE0kF6BWlK\n"
    "WE9gyn6CagsCqiUXObXbf+eEZSqVir2G3l6BFoMtEMze/aiCKm0oHw0LxOXnGiYZ\n"
    "4fQRbxC1lfznQgUy286dUV4otp6F01vvpX1FQHKOtw5rDgb7MzVIcbidJ4vEZV8N\n"
    "hnacRHr2lVz2XTIIM6RUthg/aFzyQkqFOFSDX9HoLPKsEdao7WNq\n"
    "-----END CERTIFICATE-----\n";

